%define  patch_name kernel-feat-core-win4lin

Name: %{patch_name}
Version: 2004.05.15
Release: alt2
Summary: %patch_name kernel patch - win4lin patch
License: GPL
Group: Development/Other
BuildArch: noarch

Source1: mki-adapter.patch
Source2: mki-adapter26_1_3_5.patch
Source3: Kernel-Win4Lin3-2.4.25.patch
Source4: Kernel-Win4Lin3-2.6.6.patch

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires:	kernel-build-tools >= 0.6-alt1

%description
Netraverse Win4Lin kernel patch

%install
%__mkdir_p %patches_dir/%patch_name/2.4
%__mkdir_p %patches_dir/%patch_name/2.6

cp -a %SOURCE1 %patches_dir/%patch_name/2.4
cp -a %SOURCE2 %patches_dir/%patch_name/2.6

cp -a %SOURCE3 %patches_dir/%patch_name/2.4
cp -a %SOURCE4 %patches_dir/%patch_name/2.6

%files
%dir %attr(755,root,root) %_usrsrc/kernel/patches/%patch_name/
%dir %attr(755,root,root) %_usrsrc/kernel/patches/%patch_name/2.4
%dir %attr(755,root,root) %_usrsrc/kernel/patches/%patch_name/2.6
%attr(644,root,root) %_usrsrc/kernel/patches/%patch_name/2.4/*
%attr(644,root,root) %_usrsrc/kernel/patches/%patch_name/2.6/*

%changelog
* Sat May 15 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.15-alt2
- Updated mki-adapter patch.

* Sat May 15 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.15-alt1
- Updated patch version to 2.6.6 kernel

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.10-alt1
- Fixed package version (adapted to policy)

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.5-alt2
- Fixed kernel version labels

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.5-alt1
- Patch for 2.4 kernel series updated to 2.4.25 kernel version
- Updated mki-adapter patch for 2.4 kenrel series
- Added patches for 2.6 kernel series

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.22-alt1
- Updated to 2.4.22 kernel patch

* Wed Jul 30 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt1
- Updated to 2.4.21 kernel patch
- Updated mki-adapter patch

* Thu May 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt0.1
- adapted to kernel policy
